package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class MaidianDictDTO implements Serializable {
    private String dictId;

    private String dictName;

    private String dictData;

    private String dictDescrible;

    private String moduleId;

    private Date createTime;

    private Date updateTime;

    private Integer status;

    private String operationPerson;

    private Integer loginFlag;

    private Integer transitFlag;

    private String code;

    private static final long serialVersionUID = 1L;

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId == null ? null : dictId.trim();
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName == null ? null : dictName.trim();
    }

    public String getDictData() {
        return dictData;
    }

    public void setDictData(String dictData) {
        this.dictData = dictData == null ? null : dictData.trim();
    }

    public String getDictDescrible() {
        return dictDescrible;
    }

    public void setDictDescrible(String dictDescrible) {
        this.dictDescrible = dictDescrible == null ? null : dictDescrible.trim();
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId == null ? null : moduleId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOperationPerson() {
        return operationPerson;
    }

    public void setOperationPerson(String operationPerson) {
        this.operationPerson = operationPerson == null ? null : operationPerson.trim();
    }

    public Integer getLoginFlag() {
        return loginFlag;
    }

    public void setLoginFlag(Integer loginFlag) {
        this.loginFlag = loginFlag;
    }

    public Integer getTransitFlag() {
        return transitFlag;
    }

    public void setTransitFlag(Integer transitFlag) {
        this.transitFlag = transitFlag;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }
}